@import url('https://font.emtech.cc/css/LXGWWenKaiTC');
@import url('https://font.emtech.cc/css/GenYoMinTC');
@import url('https://font.emtech.cc/css/GenKiGothicTC');
@font-face{font-family: 筭;src: url('筭.woff2')format('woff2');}
@font-face{font-family: 〇點;src: url('〇點.woff2')format('woff2');}
@font-face{font-family: 刅糸山;src: url('刅糸山.woff2')format('woff2');}
@font-face{font-family: 刅糸山人;src: url('刅糸山人.woff2')format('woff2');font-display: block;}
@counter-style 榦{system: cyclic;symbols: 甲 乙 丙 丁 戊 己 庚 辛 壬 癸;suffix: '、'}
@counter-style 枝{system: cyclic;symbols: 子 丑 寅 卯 辰 巳 午 未 申 酉 戌 亥;suffix: '。'}
@counter-style 碼{system: numeric;symbols: 〇 一 二 三 亖 五 〦 〧 〨 九;}
.tbrl,:root{
	-ms-writing-mode: tb-rl;
	-epub-writing-mode: vertical-rl;
	-webkit-writing-mode: vertical-rl;
	-moz-writing-mode: vertical-rl;
	-o-writing-mode: vertical-rl;
	writing-mode: vertical-rl;
	writing-mode: tb-rl;
}
* {margin:0;padding:0;
	box-sizing: border-box;
	-moz-box-sizing: border-box; 
	-webkit-box-sizing: border-box;
	border-radius: .25em;
	scroll-margin: 1.5em;
	scroll-behavior: smooth;
	scrollbar-color: var(--滅旦) transparent;
}
:root{
	--宋躰: var(--山),LXGWWenKaiTC,I-OTF宋朝,FGNTC宋朝,HZ 宋朝,仿宋,WKSaenal;
	--明躰: var(--山),GenYoMinTC,游明朝,ＭＳ 明朝,ＭＳ Ｐ明朝,Noto Serif CJK KR,Tahoma,Arial,Helvetica,SimSun,Helvetica Neue,serif;
	--黑躰: var(--山),GenKiGothicTC,Yu Gothic,Noto Sans CJK KR,微軟正黑體,STHeiti,SimHei,sans-serif;
	--旦夕: light-dark(var(--滄浪), var(--赭石));
	--夕明: light-dark(var(--赭石), var(--褾面));
	--明滅: light-dark(var(--褾面), var(--藏靑));
	--滅明: light-dark(var(--藏靑), var(--褾面));
	--滅旦: light-dark(var(--藏靑), var(--滄浪));
	--夕旦: light-dark(var(--赭石), var(--滄浪));
	--褾緣: hsl(216 100 81/0);
	--靑鸞: hsl(216 16 64);
	--既白: hsl(216 36 54);
	--褾面: hsl(216 100 81);
	--藏靑: hsl(216 48 36);
	--霽藍: hsl(216 36 32);
	--品月: hsl(216 64 64);
	--紫苑: hsl(240 36 60);
	--滄浪: hsl(156 30 76);
	--翠微: hsl(112 30 39);
	--碧山: hsl(84 35 44);
	--靑雘: hsl(182 100 24);
	--萅碧: hsl(60 12 56);
	--芸黃: hsl(32 53 62);
	--酡顏: hsl(16 83 71);
	--渥赭: hsl(352 63 64);
	--赩熾: hsl(9 64 56);
	--赬霞: hsl(18 84 66);
	--吉金: hsl(36 32 48);
	--白靑: hsl(196 26 68);
	--雲門: hsl(196 52 76);
	--藕絲: hsl(24 14 80);
	--蜜合: hsl(48 32 84);
	--葭菼: hsl(108 18 81);
	--蔥犗: hsl(172 30 64);
	--驖驪: hsl(44 9 25);
	--油紫: hsl(321 71 15);
	--赭石: hsl(336 30 16);
	--炚: hsl(276 64 64);
	--㳉: hsl(24 64 48);
	--焃: hsl(0 64 48);
	--泫: hsl(216 64 24);
	--棈: hsl(144 64 36);
	--鉑: hsl(180 12 48);
	--墴: hsl(48 84 64);
	--灮: hsl(64 100 64);
	--水: hsl(180 48 64/.36);
	--山: 〇點, 刅糸山;
}
html, body{
	text-size-adjust: 100%;
	-ms-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
	:hover, :focus {transition: all .48s;}
	:active {transition: all .12s;}
}
body{overflow-x: overlay;
	overflow-y: hidden;
	background-color: var(--旦夕);
	font: 2em var(--黑躰);
	color: var(--滅旦);
}aside,h{font: 1em/1.5 var(--明躰);color: var(--夕明);>i{line-height: 1;}}
#褾,h,.H{
	display: inline-flex !important;
	align-items: center;
	line-height: 1;
}
.z{
	display: flex !important;
	flex-direction: column;
	align-items: center;
}
.縱中橫,#幟,p{
	[type='number'],span{
		-ms-text-combine-horizontal: all;
		text-combine-upright: all;
		-webkit-text-combine: horizontal;
		text-combine-upright: digits 4;}	
}#褾,#幟{z-index: 144;height: 100%;border-radius:0;}
#褾{position: sticky;
	right:0;
	display: inline-flex;
	background-image: linear-gradient(to right, var(--褾緣), var(--褾面) 36%);
	overflow-x: hidden;
	scrollbar-width: none;
	-ms-overflow-style: none;
	&::-webkit-scrollbar{display: none}
	color: var(--藏靑);
	color-scheme: light;
	white-space: nowrap;
	text-shadow: -.0625em 0 var(--褾面),0 0 .125em var(--褾面);
	p{font: 1em/1 var(--黑躰);}
	h{margin: 1em 0 .5em;
		font: 600 2em/1 var(--明躰);
		color: inherit;
		text-align: start;}
	ul{display: flex;
		list-style: none;}
}
#珎{position: fixed;right:0;bottom:0;margin: .08em;}
#珎,.珎{
	z-index: 144;
	padding: .16em 0;
	font: 4rem/.96 刅糸山人;
	color: var(--滅明);
	cursor: pointer;
	text-shadow: 0 0 .125em var(--藏靑);
	box-shadow: inset 0 0 .125em light-dark(var(--藏靑), var(--既白)), 0 0 .125em light-dark(var(--藏靑), var(--既白));
	transition: all .48s;
}.珎{text-shadow: 0 0 .125em;}
ruby{ruby-align: start}
rt{margin: 0-.5em 0 0;ruby-align: center;color:var(--夕明)}
h1,h6{&::first-letter {font: 1em/0 var(--宋躰);}font: 2em/1.5 var(--明躰);}
h2,h5{&::first-letter {font: 2em/0 var(--明躰);}
	&:has(ruby){margin: 0-.25em 0 0;}}
h4,details>p,details>li{&::first-letter {font: 1em/0 var(--明躰);text-shadow: 0 0 .16em;}}
h2,h3,h4{font-size: 1em;text-shadow: 0 0 .16em;
	[叀=地],l{box-shadow: 0 0 .25em;}}
h4,h5,h6{margin: 2rem 0;}
h5,h6{font: .5em/3 var(--黑躰);text-shadow: 0 0 .24em;}
[叀=旹],t{text-decoration:0;color: var(--旦夕);background: var(--滅旦);}
[叀=地],l,i,#幟 a{text-decoration:0;box-shadow: 0 0 .125em;}
u{text-underline-offset: -.0625em;}
ii{font: .5em/1 var(--宋躰);white-space: nowrap;}
blockquote,i{font: normal 1em/1.5 var(--宋躰);}
blockquote{padding-top: 1em;>p::first-letter{padding-top: 1em;}>ul{list-style: '〇';}
	&::before,&::after{position: absolute;display:block;
		content:'︙ ・ ︙';font:1em/0 var(--山);}
	&::after {bottom: mod(100%,1em);}}
.末,summary{margin: 0 0 mod(100%,1em);}
.重{font:800 2em/1.5 var(--黑躰);}
.末{text-align: end;}
main{font: 1em/1.5 var(--黑躰);
	>table{padding: 2em 0;font-size:1.25em;}}
details{&[open]>summary{position: sticky;right: 1.5em;
	text-shadow: var(--滅明) 0 0 .16em;}
	&:not(:open):hover{box-shadow: var(--褾面) 0 0 .0625em, var(--滅旦) 0 0 .5em inset;}
	>details{>summary{text-align: end;}&[open]{box-shadow: 0 0 .2em;}}
	>ul,>ol{padding: 1em 0 0;font: 1em/1.5 var(--宋躰);}
	>ul{list-style: '〇';}}
a {color: inherit;
	text-decoration: none;
	&:hover{font-weight: bold;
		text-shadow: 0 0 .1em;
	[叀=旹],t{color:var(--滅旦);text-shadow:
		0 -1px var(--旦夕),1px -1px var(--旦夕),1px 0 var(--旦夕),1px 1px var(--旦夕),
		0 1px var(--旦夕),-1px 1px var(--旦夕),-1px 0 var(--旦夕),-1px -1px var(--旦夕)}
}}b>span,span>b{font: 600 1em Yu Gothic,GenKiGothicTC;}
textarea{background: inherit;resize: none;
	font: var(--黑躰);color: inherit;}
input{border-color: inherit;background: transparent;color: inherit;font-size: 1em;
	&[size]{height: attr(size em)}
	&[type=number]{height: 2em;font:1em GenKiGothicTC}
	&[type=text],&[max]{font:1em 筭,GenKiGothicTC}
	.檢 &[type=checkbox]{display: none;
		&:not(:checked)+label{background: hsl(0 96 96/.6);color: var(--既白);}
		&:checked+label{background-color: hsl(216 96 36);color: var(--褾面);}
		+label{&:hover{background-color: hsl(108 96 60);color: hsl(216 96 16);}
			&:active{border-color: var(--灮);color: var(--灮);}}}
}textarea,input,.鈕 {line-height: 1;
	&:active{background-image: none;color: var(--灮);outline-color: var(--灮);
	-webkit-box-shadow: var(--褾面) 0 0 .0625em,  var(--滅旦) 0 0 .5em inset;
	box-shadow: var(--褾面) 0 0 .0625em,  var(--滅旦) 0 0 .5em inset;}}
textarea:focus,input:focus, details[open]{
	outline-color: var(--滅明);
	box-shadow: 0 0 1em;}
label{position: relative;
	display: inline-block;
	height: min-content;
	text-align: center;
	border-radius: .1875em;
	transition: all .24s;
	user-select: none;
	-webkit-user-select: none;
	cursor: pointer;
}.曜{text-shadow: 0 0 .12em;}
.日{color:var(--炚)}
.月{color:var(--㳉)}
.火{color:var(--焃)}
.水{color:var(--泫)}
.木{color:var(--棈)}
.金{color:var(--鉑)}
.土{color:var(--墴)}

.鈕{display: inline-block;
	margin: .125em 0;
	border: .0625em solid transparent;
	padding: .25em .125em;
	background: var(--水);
	background-image: none;
	font-size: 1em;
	font-family: inherit;
	font-weight: 400;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	-ms-touch-action: manipulation;
	touch-action: manipulation;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	&:focus,&:active:focus{
		outline: .3125em auto -webkit-focus-ring-color;
		outline-offset: -.125em;}
	&:hover{border-color: var(--藏靑);
		background-color: var(--滄浪);
		color: var(--藏靑);
		text-decoration: none;}
	&[disabled],fieldset[disabled] &{
		cursor: not-allowed;
		filter: alpha(opacity=64);
		-webkit-box-shadow: none;
		box-shadow: none;
		opacity: .64;}
}fieldset[disabled] a.鈕{pointer-events: none;}

.本{color: var(--藏靑);border-color: var(--既白);
	&:focus{border-color: var(--藏靑);background-color: hsl(0 0 90);}
	&:hover,&:active{color: hsl(0 0 20);}}

.初{border-color: var(--滄浪);
	&:hover,&:active{border-color: hsl(208 56 48);}}

[訊]:hover{
	&::after{
		position: absolute;
		display: block;
		right: 50%;
		bottom: calc(100% + .5em);
		z-index: 1024;
		height: fit-content;
		min-width: 1em;
		padding: .5em .25em;
		border-radius: .25em;
		background: light-dark(hsl(225 50 12/.64), hsl(225 12 50/.8));
		font: 400 normal 1.25em/1.2 var(--黑躰);
		color: var(--滄浪);
		content: attr(訊);
		transform: translate(50%, 0);
		white-space: pre;
		box-shadow: .125em .125em .75em hsl(0 0 0/.1);
		text-shadow: none;}
	&::before{
		position: absolute;	
		top: -.5em;
		height: 0;
		width: 0;
		border: .5em solid;
		border-color: light-dark(hsl(225 50 12/.8), hsl(225 12 50/.8)) transparent transparent transparent;
		content: '';}
}

.圈{
	display: inline-block;
	border: .0625em solid;
	border-radius: 100%;
	text-align: center;
}

.lrtb{
	-ms-writing-mode: lr-tb;
	-webkit-writing-mode: horizontal-tb;
	-moz-writing-mode: horizontal-tb;
	-o-writing-mode: horizontal-tb;
	writing-mode: horizontal-tb;
	writing-mode: lr-tb;
}
#旹,#旹+b{left: 0; position: fixed}
#旹+b{margin: 1em 0;}
#幟{position: fixed;
	left: 0;
	background-image: linear-gradient(to left, var(--褾緣), var(--藏靑) 64%);
	font: .5em var(--黑躰);
	color: var(--褾面);
	color-scheme: dark;
	p{text-align: end;}
	a{font: 1em var(--明躰);
		&:hover{text-decoration: underline wavy}}}